import { AuthService } from 'src/auth/auth.service';
import { LoginDto } from 'src/auth/auth.dtos';
export declare class AuthController {
    private readonly authService;
    constructor(authService: AuthService);
    login(userLoginDto: LoginDto): Promise<{
        userData: {
            uuid: string;
            email: string;
            role: import("../user/user.entity").Role;
            transactions: import("../transaction/transaction.entity").Transaction[];
            firstName?: string;
            lastName?: string;
            address?: string;
            formLocation?: string;
        };
        token: string;
    }>;
    getUserData(): Promise<{}>;
}
